var interval : float = 2.0;
private var theTime : float;
theTime = interval;
function Update () {
	if(theTime <= 0.0){
		GetComponent("MouseDamager").enabled = !GetComponent("MouseDamager").enabled;
		transform.Find("Gas").particleEmitter.emit = !transform.Find("Gas").particleEmitter.emit;
		theTime = interval;
	}
	theTime -= Time.deltaTime;
}

@script RequireComponent(MouseDamager)